<?php

use App\Domains\UserManagement\Controllers\EmailVerificationController;
use App\Domains\UserManagement\Controllers\RegistrationController;
use App\Domains\UserManagement\Controllers\ResetPasswordController;
use App\Domains\UserManagement\Controllers\StoreProfileController;
use App\Middleware\IdentifyTenant;
use App\Providers\GlobalDataProvider;
use Illuminate\Support\Facades\Route;
use Inertia\Inertia;

Route::prefix('/api/v1')
    ->group(function () {
        Route::middleware(IdentifyTenant::class)->group(function () {
            Route::post('/profile', StoreProfileController::class);
        });
    });
